Đến nội dung


Hình ảnh
- - - - -

nối điểm lại theo kiểu polyline


  • Please log in to reply
5 replies to this topic

#1 MEDIC_HAT

MEDIC_HAT

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 September 2009 - 08:03 PM

Em có một bài như sau.
em có một file text bao gồm 2 cột như thế này
1 2
2 3
3 4
......
bây h em muốn hoi có cách nào viết được một lisp nối điểm lại theo kiểu polyline mà không cần load sang excel ko ạ.
Một vấn đề rộng hơn là. Có thể load được dữ liệu từ file text theo kiểu 2 cột để vẽ ko ạ. Em muốn dùng để vẽ cả hình chữ nhật, hình tròn...... Nếu được mong các huynh chỉ giáo.
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 03 September 2009 - 08:17 PM

Em có một bài như sau.
em có một file text bao gồm 2 cột như thế này
1 2
2 3
3 4
......
bây h em muốn hoi có cách nào viết được một lisp nối điểm lại theo kiểu polyline mà không cần load sang excel ko ạ.
Một vấn đề rộng hơn là. Có thể load được dữ liệu từ file text theo kiểu 2 cột để vẽ ko ạ. Em muốn dùng để vẽ cả hình chữ nhật, hình tròn...... Nếu được mong các huynh chỉ giáo.

Nếu chỉ là nối polyline, bạn không cần lisp.

Cách làm như sau:
1. Bạn find and replace dấu cách bằng dấu phẩy (,) để dữ liệu có định dạng
1,2
2,3
3,4
.......
2. Bạn copy toàn bộ nội dung text này vào clipboard
3. Bạn vào AutoCAD, gõ lệnh Pline, rồi paste toàn bộ nội dung text này vào dòng command.
4. Nhấn enter rồi Zoom > E, bạn sẽ nhìn thấy những gì bạn cần.
  • 1

#3 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 03 September 2009 - 08:59 PM

Nếu chỉ là nối polyline, bạn không cần lisp.

Cách làm như sau:
1. Bạn find and replace dấu cách bằng dấu phẩy (,) để dữ liệu có định dạng
1,2
2,3
3,4
.......
2. Bạn copy toàn bộ nội dung text này vào clipboard
3. Bạn vào AutoCAD, gõ lệnh Pline, rồi paste toàn bộ nội dung text này vào dòng command.
4. Nhấn enter rồi Zoom > E, bạn sẽ nhìn thấy những gì bạn cần.

Thú thật là em phải nhìn lời giải của Bác Hoành mới biết được bạn ấy đang yêu cầu cái gì. hóa ra số liệu kia là tọa độ điểm. :s_big:
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#4 MEDIC_HAT

MEDIC_HAT

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 September 2009 - 10:10 AM

Cảm ơn bác hoành nhiều. Nhưng không thể viết lisp được ạ. vì đó chỉ là một phần trong bài tập của em thôi. Nguyên bản bài tập của em như sau:
Cho số liệu trong file excel. Tính toán.( Cái này em làm được rồi).
Xuất ra file text.
Sử dụng autolisp để vẽ trong cad.
Xuất bản vẽ sang word.
Yêu cầu tự động hoá quá trình tính toán trong excel, và sử dụng autolisp để vẽ. :s_big:
  • 0

#5 MEDIC_HAT

MEDIC_HAT

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 September 2009 - 05:31 PM

không ai giúp em sao. huhu. em sắp phải nộp rồi mà ko ai giúp em sao. Bác hoành giúp em đi.
  • 0

#6 TRUNGNGAMY

TRUNGNGAMY

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 06 September 2009 - 09:38 PM

Cảm ơn bác hoành nhiều. Nhưng không thể viết lisp được ạ. vì đó chỉ là một phần trong bài tập của em thôi. Nguyên bản bài tập của em như sau:
Cho số liệu trong file excel. Tính toán.( Cái này em làm được rồi).
Xuất ra file text.
Sử dụng autolisp để vẽ trong cad.
Xuất bản vẽ sang word.
Yêu cầu tự động hoá quá trình tính toán trong excel, và sử dụng autolisp để vẽ. :s_big:

Mình làm một ví dụ điển hình giúp bạn. Dữ liệu tọa độ là một file text, x và y cách nhau khoảng trắng
(defun c:vetd( / tfile f st td)
(setq tfile (getfiled "Ten file" "" "txt" 6))
(if tfile (progn
(setq f (open tfile "r"))
(command "_.pline")
(while (setq st (read-line f))
(setq td (eval (read (strcat "'(" st ")"))))
(command td)
)
(close f)
(command "")
))
)

  • 2